[Overview][Types][Classes][Variables][Index] | Reference for unit 'LazDeviceApis' (#lcl)

# TLazAccelerometer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents the hardware accelerometer.

## Declaration

Source position: lazdeviceapis.pas line 42

`type TLazAccelerometer = class`
`public`
`xaxis: Double;` |  | The last value measured for the X axis of the accelerometer.
`yaxis: Double;` |  | The last value measured for the Y axis of the accelerometer.
`zaxis: Double;` |  | The last value measured for the Z axis of the accelerometer.
`procedure StartReadingAccelerometerData;` |  | Starts monitoring the accelerometer sensor.
`procedure StopReadingAccelerometerData;` |  | Stops monitoring the accelerometer sensor.
`property OnSensorChanged: TNotifyEvent; [rw]` |  | Called when the accelerometer value changes or is updated from the sensor.
`end;`

## Inheritance

`TLazAccelerometer` |  | Represents the hardware accelerometer.
`TObject`